Mail archive
alpine-aports

[alpine-aports] [PATCH] main/bitlbee: added dev subpackage

From: Marvin Steadfast <marvin_at_xsteadfastx.org>
Date: Tue, 5 Apr 2016 12:56:21 +0000

---
 main/bitlbee/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/main/bitlbee/APKBUILD b/main/bitlbee/APKBUILD
index 44b68ec..1947824 100644
--- a/main/bitlbee/APKBUILD
+++ b/main/bitlbee/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Kiyoshi Aman <kiyoshi.aman_at_gmail.com>
 pkgname=bitlbee
 pkgver=3.4.2
-pkgrel=0
+pkgrel=1
 pkgdesc="An IRC to other chat networks gateway"
 url="http://www.bitlbee.org/"
 arch="all"
_at_@ -10,7 +10,7 @@ license="GPL2"
 depends=""
 makedepends="glib-dev openssl-dev libotr-dev"
 install=""
-subpackages="$pkgname-doc $pkgname-otr"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-otr"
 source="
 	http://get.bitlbee.org/src/$pkgname-$pkgver.tar.gz
 	$pkgname.initd
_at_@ -43,7 +43,7 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install install-etc || return 1
+	make DESTDIR="$pkgdir" install install-etc install-dev || return 1
 
 	install -m755 -D "$srcdir"/$pkgname.initd \
 		"$pkgdir"/etc/init.d/$pkgname || return 1
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Apr 05 2016 - 12:56:21 GMT